DSC_0312.jpg=Preparing sushi
DSC_0342.jpg=Watching the colored sprinklers at work.
DSC_0360.jpg=Popular here more than at home.
DSC_0350.jpg=He didn't allow picture taking.
DSC_0356.jpg=Date night?
DSC_0365.jpg=Mother and daughter.
DSC_0317.jpg=Where's Ann Hathaway?
DSC_0298.jpg=Matt's beer. 
DSC_0315.jpg=Watching the Celtics win game five.
DSC_0362.jpg=Decisions, decisions.
